Bug 2081099 - unixODBC-2.3.11 is available
Summary: unixODBC-2.3.11 is available
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: unixODBC
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-02 18:16 UTC by Upstream Release Monitoring
Modified: 2022-10-25 17:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-05-02 18:16:58 UTC
Latest upstream release: 2.3.10
Current version/release in rawhide: 2.3.9-5.fc36
URL: http://www.unixodbc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7344/

Comment 1 Upstream Release Monitoring 2022-05-05 07:22:08 UTC
Latest upstream release: 2.3.11
Current version/release in rawhide: 2.3.9-5.fc36
URL: http://www.unixodbc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/7344/

Comment 2 Michal Schorm 2022-05-19 09:37:36 UTC
PR prepared:
  https://src.fedoraproject.org/rpms/unixODBC/pull-request/7

Comment 3 Steven A. Falco 2022-08-15 16:36:42 UTC
Is there any status on this update?  I see that there is a pull request, but I haven't seen any further activity.

KiCad will likely start using unixODBC soon, and the KiCad developers suggested that it would be good if Fedora could update unixODBC to the 2.3.11 release, since it fixes some bugs.

Comment 4 Michal Schorm 2022-08-16 00:45:49 UTC
Hi Steven,

I've got back to the PR, enhanced it, tested a bit more and merged.
I've made the builds for
 - Rawhide: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d36eb9c2bc
 - F37:     https://bodhi.fedoraproject.org/updates/FEDORA-2022-2853d75802


Do you need this update to be merged & built to F36 and F35 too ?

Comment 5 Steven A. Falco 2022-08-16 13:15:17 UTC
Thanks for such a rapid response - it is appreciated!

KiCad will use unixODBC both in the official Rawhide repo and in a nightly Copr that is built for F35 through F38.

My best estimate is that it would be helpful to have your update in F36, but I think F35 will become obsolete before KiCad will start using unixODBC.

So if it is not too much trouble, I'd like to see your update in F36, because that release will still exist for quite a while.  It will also help my testing, because my desktop is on F36.

Comment 6 Fedora Update System 2022-10-25 10:46:42 UTC
FEDORA-2022-d61504a7c1 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d61504a7c1

Comment 7 Fedora Update System 2022-10-25 13:17:29 UTC
FEDORA-2022-d61504a7c1 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d61504a7c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d61504a7c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Steven A. Falco 2022-10-25 14:24:27 UTC
Looks good, Michal.  Thanks for the update!

Comment 9 Michal Schorm 2022-10-25 17:46:59 UTC
(In reply to Steven A. Falco from comment #8)
> Looks good, Michal.  Thanks for the update!

Thanks for the patience.
I've disabled automatic move of the update to the stable repository, to make sure it doesn't break anything to others.
I hope more people will come by and leave karma.


Note You need to log in before you can comment on or make changes to this bug.